[MinGW-Notify] [mingw] #40538: Unable to properly Install

Back to archive index
MinGW Notification List mingw****@lists*****
Thu Jul 9 06:30:01 JST 2020


#40538: Unable to properly Install

  Open Date: 2020-07-08 21:04
Last Update: 2020-07-08 22:30

URL for this Ticket:
    https://osdn.net//projects/mingw/ticket/40538
RSS feed for this Ticket:
    https://osdn.net/ticket/ticket_rss.php?group_id=3917&tid=40538

---------------------------------------------------------------------

Last Changes/Comment on this Ticket:
2020-07-08 22:30 Updated by: keith
 * Status Update from Open to Closed

 * Owner Update from (None) to keith

 * Resolution Update from None to Fixed


Comment:

Thanks for your report.

    wapi-5.3.4-mingw32-dev.tar.xz

This is a typo, in the online catalogue ... now fixed, but may take up to an
hour to propagate. The correct package name is w32api-5.4-mingw32-dev.tar.xz

    Digging around I cam across the files: w32api-5.3.4-mingw32-dev.tar.xz
    which seems to be what the installer is looking for. Is this correct?

No, not quite -- the correct package name is as I've stated above.

    can I manually install it?

You could, but I don't recommend it; doing so would mess up your installation
manifest. If you don't want to wait for the correction to propagate through the
online catalogue, the better work-around would be to correct the typo, towards
the end of your local copy of C:\MinGW\var\lib\mingw-get\data\
mingw32-runtime.xml (assuming that your installation lives in C:\MinGW).



---------------------------------------------------------------------
Ticket Status:

      Reporter: xmmxmmx
         Owner: keith
          Type: Issues
        Status: Closed
      Priority: 5 - Medium
     MileStone: (None)
     Component: (None)
      Severity: 5 - Medium
    Resolution: Fixed
---------------------------------------------------------------------

Ticket details:

I have the following error when trying to install the compiler: https://
osdn.net/dl/mingw/wapi-5.3.4-mingw32-dev.tar.xz: opened with unexpected status:
code = 404

Digging around I cam across the files: w32api-5.3.4-mingw32-dev.tar.xz which
seems to be what the installer is looking for. Is this correct? And if so, can
I manually install it?



-- 
Ticket information of MinGW - Minimalist GNU for Windows project
MinGW - Minimalist GNU for Windows Project is hosted on OSDN

Project URL: https://osdn.net/projects/mingw/
OSDN: https://osdn.net

URL for this Ticket:
    https://osdn.net/projects/mingw/ticket/40538
RSS feed for this Ticket:
    https://osdn.net/ticket/ticket_rss.php?group_id=3917&tid=40538



More information about the MinGW-Notify mailing list
Back to archive index